<?php 

if(!defined('ABSPATH')) exit;

class Firstdata_Settings extends WC_Settings_Page {

	public $id;
	
	public function __construct() {
		$this->id = 'firstdata_settings';
		$this->label = 'Firstdata Recurring Payments';

		add_filter('woocommerce_settings_tabs_array', array($this, 'add_settings_page'), 20);
		add_action('woocommerce_settings_' . $this->id, array($this, 'output'));
		add_action('woocommerce_settings_save_' . $this->id, array($this, 'save'));
	}
	
	public function output() {
		$settings = $this->get_settings();
		WC_Admin_Settings::output_fields($settings);
		$img_uri = plugin_dir_url(__FILE__) . '../img';
		$token = wp_create_nonce('firstdata_nonce');
	}

	public function save() {
		$settings = $this->get_settings();
		WC_Admin_Settings::save_fields($settings);
	}

	public function get_settings() {
		$settings = array(
			array('title' => 'API access', 'type' => 'title', 'desc' => '', 'id' => 'api_options'),
			array(
				'title' => 'MID',
				'id' => 'firstdata_mid',
				'css' => 'min-width:300px;',
				'default' => '',
				'type' => 'text',
				'custom_attributes' => array('required' => 'required')
			),
		    array(
		        'title' => 'POS ID',
		        'id' => 'firstdata_pos_id',
		        'css' => 'min-width:300px;',
		        'default' => '',
		        'type' => 'text',
		        'custom_attributes' => array('required' => 'required')
		    ),
		    array(
		        'title' => 'Token Requestor',
		        'id' => 'firstdata_token_requestor',
		        'css' => 'min-width:300px;',
		        'default' => '',
		        'type' => 'text',
		        'custom_attributes' => array('required' => 'required')
		    ),
		    array(
				'title' => 'VPOS Login',
				'id' => 'firstdata_vpos_user',
				'css' => 'min-width:300px;',
				'default' => '',
				'type' => 'text',
				'desc_tip' =>  false,
				'custom_attributes' => array('required' => 'required'),
			),	
			array(
				'title' => 'VPOS Password',
				'id' => 'firstdata_vpos_pass',
				'css' => 'min-width:300px;',
				'default' => '',
				'type' => 'text',
				'desc_tip' =>  false,
				'custom_attributes' => array('required' => 'required'),
			),
		    array(
		        'title' => 'Test mode',
		        'id' => 'firstdata_test',
		        'default'  => 'no',
		        'type'     => 'checkbox'
		    ),
		    array(
		        'title' => 'Shared key',
		        'id' => 'firstdata_key',
		        'css' => 'min-width:300px;',
		        'default' => '',
		        'type' => 'text',
		        'custom_attributes' => array('required' => 'required')
		    ),
		    array('type' => 'sectionend', 'id' => 'api_options'),
		);
		
		return $settings;
	}	
	
}

?>