<?php

defined( 'ABSPATH' ) || exit;

?>

<?php if ( $has_items ) : ?>

	<table class="woocommerce-orders-table woocommerce-MyAccount-orders shop_table shop_table_responsive my_account_orders account-orders-table">
		<thead>
			<tr>
				<?php foreach ( $list_cols as $column_id => $column_name ) : ?>
					<th class="woocommerce-orders-table__header woocommerce-orders-table__header-<?php echo esc_attr( $column_id ); ?>"><span class="nobr"><?php echo esc_html( $column_name ); ?></span></th>
				<?php endforeach; ?>
			</tr>
		</thead>

		<tbody>
			<?php
			foreach ( $customer_orders as $customer_order ) {
				$order      = wc_get_order( $customer_order ); // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited
				$item_count = $order->get_item_count() - $order->get_item_count_refunded();
				?>
				<tr class="woocommerce-orders-table__row woocommerce-orders-table__row--status-<?php echo esc_attr( $order->get_status() ); ?> order">
					<?php foreach ( $list_cols as $column_id => $column_name ) : ?>
						<td class="woocommerce-orders-table__cell woocommerce-orders-table__cell-<?php echo esc_attr( $column_id ); ?>" data-title="<?php echo esc_attr( $column_name ); ?>">
							<?php if('sub-start' === $column_id) : ?>
								<time datetime="<?php echo esc_attr( $order->get_date_created()->date( 'c' ) ); ?>"><?php echo esc_html( wc_format_datetime($order->get_date_created(), 'Y-m-d')); ?></time>

							<?php elseif('sub-count' === $column_id) : ?>
								<?php
								$co = $order->get_meta('firstdata_recurring_renew_count');
								echo $co;
								?>

							<?php elseif('sub-next' === $column_id) : ?>
								<?php
								$next = $order->get_meta('firstdata_recurring_next_payment');
								?>
								<time datetime="<?php echo $order->get_status() == 'processing' ? esc_attr(date('c', $next)) : ''; ?>"><?php echo $order->get_status() == 'processing' ? esc_html(date('Y-m-d', $next)) : ''; ?></time>

							<?php elseif('sub-amount' === $column_id) : ?>
								<?php
								$p = $order->get_meta('firstdata_recurring_renew_amount');
								echo wc_price($p);
								?>

							<?php elseif('sub-status' === $column_id) : ?>
								<?php echo $order->get_status() == 'processing' ? 'Aktywna' : ($order->get_status() == 'completed' ? 'Zakończona' : $order->get_status()); ?>

							<?php elseif('sub-actions' === $column_id) : ?>
								<?php
								
								$actions = $order->get_status() == 'processing' ? array(
    								'cancel' => array(
    								    'url'  => wp_nonce_url(wc_get_page_permalink('myaccount') . 'action-fdp?o=' . $order->id . '&a=c'),
			     					    'name' => 'Anuluj',
				    				),
								) : array();

								if(!empty($actions)) {
									foreach ( $actions as $key => $action ) {
										echo '<a href="' . esc_url( $action['url'] ) . '" class="woocommerce-button button ' . sanitize_html_class( $key ) . '">' . esc_html( $action['name'] ) . '</a>';
									}
								}
								?>
							<?php endif; ?>
						</td>
					<?php endforeach; ?>
				</tr>
				<?php
			}
			?>
		</tbody>
	</table>

<?php else : ?>
	<div class="woocommerce-message woocommerce-message--info woocommerce-Message woocommerce-Message--info woocommerce-info">
		Brak subskrypcji JNews
	</div>
<?php endif; ?>
